Subject: Re: [mobile-ip] Re: IPv6 Advanced Socket API extension for Mobile IP

From: "Suvidh Mathur" <[email-masked]>
Date: Fri, 18 Jul 2003 10:52:16 +0530

Hi,
I agree that MIPv6 implementations within the "kernel" would be self
contained units, complete with checksum calculation functions.
But in such implementations, the MIPv6 messages would be formed and
consumed entirely within the "kernel" and may not have provisions
for handling of IPPROTO_MH packets sent from "user space".

What I mean is that MIPv6 implementation might consider all packets
generated from outside the MIPv6 module as data packets and interact
with such packets all for addition of routing header type 2 or home
address option. The checksumming would be left to whoever is
responsible for generating the message, which would be RAW in
this case.

A similar scenario could be imagined on the receiving side, i.e. any
IPPROTO_MH packet delivered to MIPv6 would be checksummed by MIPv6,
but would be consumed there only. Sending of such a packet to any user
space application listening on RAW socket would then be the responsibility
of the RAW implementation.

Suvidh

                      JINMEI Tatuya / 神明達哉                                                                                                
                      <[email-masked].        To:       Vladislav Yasevich <[email-masked]>                                
                      co.jp>                          cc:       Samita Chakrabarti <[email-masked]>,                          
                      Sent by:                         [email-masked]                                                         
                      owner-mobile-ip@sunroof.        Subject:  [mobile-ip] Re: IPv6 Advanced Socket API extension for Mobile IP              
                      eng.sun.com                                                                                                             

                      17/07/2003 10:48 PM                                                                                                     

>>>>> On Fri, 11 Jul 2003 14:08:12 -0400,
>>>>> Vladislav Yasevich <[email-masked]> said:

What exactly do you imagine about the implementation that supports
mobile IPv6 in the kernel?  If it generates, does checksumming, and
sends a packet with a mobile header completely within the kernel (the
KAME implementation apparently acts like this), it can do so without
conflicting with any API spec.  So I don't get why this is the reason
for specifying the behavior on a raw socket used by applications
(i.e., not by the kernel.)

                                                             JINMEI, Tatuya
                                                             Communication
Platform Lab.
                                                             Corporate R&D
Center, Toshiba Corp.

[email-masked]

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------